Bug 343861 - Can't load policy: no such file or directory
Summary: Can't load policy: no such file or directory
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-20 15:25 UTC by John Reiser
Modified: 2008-06-21 20:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-21 20:15:04 UTC
Type: ---


Attachments (Terms of Use)

Description John Reiser 2007-10-20 15:25:31 UTC
Description of problem: During install from DVD for Fedora 8 based on rawhide of
Oct.19, 2007, the message "/usr/sbin/load_policy: Can't load policy: no such
file or directory" appears.  This is after loading drivers (firewire*, libata,
sata_nv, pata_amd), with a full-screen blue background, just before the message
"anaconda-11.3.0.42, the Fedora installer" appears at the bottom in white text.


Version-Release number of selected component (if applicable):
anaconda-11.3.0.42-1

How reproducible: always


Steps to Reproduce:
1. create install DVD using "pungi -c /usr/share/pungi/f8-fedora.ks
--destdir=/data/Fedora8 --name Fedora --ver 8"
2. boot DVD, choose install
3.
  
Actual results: "/usr/sbin/load_policy: Can't load policy: no such file or
directory" in white letters on all-blue backgroud, after loading drivers, and
before "anaconda 11.3.0.42, the Fedora installer".


Expected results: no complaint


Additional info:

Comment 1 Chris Lumens 2007-10-22 14:15:15 UTC
Does your installation DVD pull in the policycoreutils package?

Comment 2 Chris Lumens 2007-10-22 14:17:36 UTC
Actually, anaconda should be requiring that package.  I've added this to the
spec file.  Please let us know if the next build of anaconda fixes this bug for you.

Comment 3 John Reiser 2007-10-23 14:51:17 UTC
The message still appears using today's (Tue.Oct.23) anaconda-11.3.0.44, even
with 'policycoreutils' added explicitly into the .ks kickstart file that is
input to pungi.


Comment 4 Bug Zapper 2008-04-04 14:13:45 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.


Note You need to log in before you can comment on or make changes to this bug.